View Issue Details

IDProjectCategoryView StatusLast Update
0017229mantisbttoolspublic2015-01-02 13:13
Reporterrombert Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Summary0017229: Ensure that all tests are executed on Travis
Description

I noticed that some tests are skipped on Travis, since the config_inc.php does not contain some non-default configuration items, i.e.

<pre> $g_allow_no_category = ON;
$g_due_date_update_threshold = DEVELOPER;
$g_due_date_view_threshold = DEVELOPER;
$g_enable_project_documentation = ON;
$g_time_tracking_enabled = ON
</pre>

TagsNo tags attached.

Relationships

related to 0016126 closedrombert Setup integration testing on Travis CI 

Activities

dregad

dregad

2014-06-23 07:29

developer   ~0040842

Changes in Pull request https://github.com/mantisbt/mantisbt/pull/165 applied to both 1.2.x and master branches

dregad

dregad

2014-12-05 16:01

developer   ~0041983

Removing target/fixed in version as Travis is not technically part of the release even though the config is stored in the repo.

Related Changesets

MantisBT: master 43d33f69

2014-04-17 17:49:45

rombert


Committer: dregad Details Diff
Ensure all PHPUnit tests are executed on Travis

Fixes 0017229

Signed-off-by: Damien Regad <dregad@mantisbt.org>
Affected Issues
0017229
mod - scripts/travis_before_script.sh Diff File

MantisBT: master e1ab9416

2014-06-23 06:23:27

dregad

Details Diff
Enable all tests on Travis

Fixes 0017229, https://github.com/mantisbt/mantisbt/pull/165
Affected Issues
0017229
mod - scripts/travis_before_script.sh Diff File

MantisBT: master-1.2.x 1b1f1d70

2014-06-23 06:26:07

dregad

Details Diff
Enable all tests on Travis

Backport of 75fde4243e4decc84c5f2d9cdf6144b4eda6af1d from master

Fixes 0017229
Affected Issues
0017229
mod - scripts/travis_before_script.sh Diff File

MantisBT: master-1.2.x 2b4d881f

2014-06-23 06:48:15

dregad

Details Diff
Fix broken Travis build

Delete closing PHP tag from generated config_inc.php

Fixes 0017229
Affected Issues
0017229
mod - scripts/travis_before_script.sh Diff File

Issue History

Date Modified Username Field Change
2014-04-17 17:45 rombert New Issue
2014-04-17 17:45 rombert Status new => assigned
2014-04-17 17:45 rombert Assigned To => rombert
2014-04-17 17:45 rombert Issue generated from: 0016126
2014-04-17 17:45 rombert Relationship added related to 0016126
2014-06-23 06:39 dregad Changeset attached => MantisBT master-1.2.x 1b1f1d70
2014-06-23 06:39 dregad Assigned To rombert => dregad
2014-06-23 06:39 dregad Status assigned => resolved
2014-06-23 06:39 dregad Resolution open => fixed
2014-06-23 06:39 dregad Fixed in Version => 1.2.18
2014-06-23 07:24 dregad Changeset attached => MantisBT master 43d33f69
2014-06-23 07:24 dregad Changeset attached => MantisBT master e1ab9416
2014-06-23 07:25 dregad Changeset attached => MantisBT master-1.2.x 2b4d881f
2014-06-23 07:29 dregad Note Added: 0040842
2014-06-23 07:29 dregad Target Version 1.3.0-beta.1 => 1.2.18
2014-12-05 16:01 dregad Fixed in Version 1.2.18 =>
2014-12-05 16:01 dregad Target Version 1.2.18 =>
2014-12-05 16:01 dregad Note Added: 0041983
2015-01-02 13:13 atrol Status resolved => closed